import { NgModule } from '@angular/core';
import { CommonModule } from '@angular/common';

import { OrderRoutingModule } from './order-routing.module';
import { OrderListComponent } from './order-list/order-list.component';
import {NgZorroAntdModule} from 'ng-zorro-antd';
import {SeparateModule} from '../../common/separate/separate.module';
import {FormsModule, ReactiveFormsModule} from '@angular/forms';
import {BreadcrumbModule} from '../../common/breadcrumb/breadcrumb.module';
import {RegionSelectorModule} from '../../common/region-selector/region-selector.module';
import {AppCommonModule} from "../../app-common.module";
import { OrderDetailComponent } from './order-detail/order-detail.component';
import { OrderCouponsComponent } from './order-coupons/order-coupons.component';
import { OrderCouponComponent } from './order-coupon/order-coupon.component';


@NgModule({
  declarations: [OrderListComponent, OrderDetailComponent, OrderCouponsComponent, OrderCouponComponent],
  imports: [
    CommonModule,
    OrderRoutingModule,
    NgZorroAntdModule,
    SeparateModule,
    ReactiveFormsModule,
    FormsModule,
    BreadcrumbModule,
    RegionSelectorModule,
    AppCommonModule
  ]
})
export class OrderModule { }
