import { Injectable } from '@angular/core';
import {environment} from '../../environments/environment';
import {HttpClient} from '@angular/common/http';
import {CommonsService} from './commons.service';

@Injectable({
  providedIn: 'root'
})
export class OrderService {

  constructor(
      private http: HttpClient,
      private common: CommonsService
  ) { }

  /**
   * 查询订单列表
   *
   * @param  paramsObject   对象
   * @param  callBack   回调
   */
  public getOrderCouponList(paramsObject: object, callBack) {
    this.http.get(environment.baseUrl + 'highOrder/getGoodsOrderList?' + this.common.getWhereCondition(paramsObject)).subscribe(data => {
      callBack(data);
    });
  }

  /**
   * 查询订单列表
   *
   * @param  paramsObject   对象
   * @param  callBack   回调
   */
  public exportGoodsOrderList(paramsObject: object, callBack) {
    this.http.get(environment.baseUrl + 'highOrder/exportGoodsOrderList?' + this.common.getWhereCondition(paramsObject)).subscribe(data => {
      callBack(data);
    });
  }


}
